name: 'Plus Suite'
description: 'Installs and configures the Plus Suite of page-building modules.'
type: 'Site'

recipes:
  # From the standard profile
  - core/recipes/basic_block_type
  - core/recipes/basic_html_format_editor
  - core/recipes/full_html_format_editor
  - core/recipes/core_recommended_admin_theme
  - core/recipes/core_recommended_front_end_theme
  - core/recipes/restricted_html_format
  - core/recipes/administrator_role
  - core/recipes/content_editor_role
  # From core
  - core/recipes/image_media_type
  - core/recipes/basic_shortcuts # Only needed because navigation.module places a shortcuts block

install:
  # Core modules
  - help # Only needed because navigation.module places a help block
  - path
  - navigation
  - media_library
  # Contrib modules
  - field_sample_value
  - lb_plus_edit_plus
  - edit_plus_sweet
  - navigation_plus
  - edit_plus_lb
  - twig_events
  - edit_plus
  - lb_plus
config:
  strict: false
  import:
    # Core modules
    navigation_top_bar: '*'
    layout_discovery: '*'
    layout_builder: '*'
    media_library: '*'
    navigation: '*'
    media: '*'
    # Contrib modules
    field_sample_value: '*'
    lb_plus_edit_plus: '*'
    edit_plus_sweet: '*'
    navigation_plus: '*'
    edit_plus_lb: '*'
    twig_events: '*'
    edit_plus: '*'
    lb_plus: '*'
  actions:
    editor.editor.full_html:
      addItemToToolbar:
        item_name: alignment
        position: 13
        replace: false

    field.field.block_content.basic.body:
      setThirdPartySettings:
        -
          module: field_sample_value
          key: id
          value: random_text
        -
          module: field_sample_value
          key: configuration
          value:
            prevent_save: false
            count: '1'
            filter_format: full_html
        -
          module: edit_plus
          key: disable
          value: false
        -
          module: edit_plus
          key: handle
          value: form_item
